From: Arnaud Lacombe <lacombar@gmail.com>
To: linux-kbuild@vger.kernel.org, linux-kernel@vger.kernel.org,
Michal Marek <mmarek@suse.cz>
Cc: Arnaud Lacombe <lacombar@gmail.com>
Subject: [RFC 5/7] kconfig: move GTK checks to `scripts/kconfig/check.sh'
Date: Fri, 1 Jul 2011 21:47:37 -0400 [thread overview]
Message-ID: <1309571259-15241-6-git-send-email-lacombar@gmail.com> (raw)
In-Reply-To: <1309571259-15241-1-git-send-email-lacombar@gmail.com>
---
scripts/kconfig/Makefile | 39 +++++----------------------------------
scripts/kconfig/check.sh | 29 +++++++++++++++++++++++++++++
2 files changed, 34 insertions(+), 34 deletions(-)
diff --git a/scripts/kconfig/Makefile b/scripts/kconfig/Makefile
index a3176dc..5021817 100644
--- a/scripts/kconfig/Makefile
+++ b/scripts/kconfig/Makefile
@@ -174,7 +174,7 @@ qconf-objs := zconf.tab.o
gconf-objs := gconf.o zconf.tab.o
frontends-objs := $(conf-objs) $(mconf-objs) $(nconf-objs)
-frontends-objs += $(qconf-cxxobjs)
+frontends-objs += $(qconf-cxxobjs) $(gconf-objs)
hostprogs-y :=
@@ -198,18 +198,15 @@ ifeq ($(MAKECMDGOALS),xconfig)
hostprogs-y += qconf
KC_CHECK += qt
endif
-ifeq ($(MAKECMDGOALS),gconfig)
- gconf-target := 1
-endif
-
-ifeq ($(gconf-target),1)
+ifeq ($(MAKECMDGOALS),gconfig)
hostprogs-y += gconf
+ KC_CHECK += gtk
endif
hostprogs-y += conf
-clean-files := qconf.moc .tmp_gtkcheck .tmp_check
+clean-files := qconf.moc .tmp_check
clean-files += zconf.tab.c lex.zconf.c zconf.hash.c gconf.glade.h
clean-files += mconf qconf gconf nconf
clean-files += config.pot linux.pot
@@ -226,38 +223,12 @@ always := dochecklxdialog
HOSTCFLAGS_lex.zconf.o := -I$(src)
HOSTCFLAGS_zconf.tab.o := -I$(src)
-HOSTLOADLIBES_gconf = `pkg-config --libs gtk+-2.0 gmodule-2.0 libglade-2.0`
-HOSTCFLAGS_gconf.o = `pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0` \
- -Wno-missing-prototypes
+HOSTCFLAGS_gconf.o = -Wno-missing-prototypes
HOSTLOADLIBES_mconf = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC))
HOSTLOADLIBES_nconf = -lmenu -lpanel -lncurses
-$(obj)/gconf.o: $(obj)/.tmp_gtkcheck
-
-ifeq ($(gconf-target),1)
--include $(obj)/.tmp_gtkcheck
-
-# GTK needs some extra effort, too...
-$(obj)/.tmp_gtkcheck:
- @if `pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0`; then \
- if `pkg-config --atleast-version=2.0.0 gtk+-2.0`; then \
- touch $@; \
- else \
- echo "*"; \
- echo "* GTK+ is present but version >= 2.0.0 is required."; \
- echo "*"; \
- false; \
- fi \
- else \
- echo "*"; \
- echo "* Unable to find the GTK+ installation. Please make sure that"; \
- echo "* the GTK+ 2.0 development package is correctly installed..."; \
- echo "* You need gtk+-2.0, glib-2.0 and libglade-2.0."; \
- echo "*"; \
- false; \
- fi
need-check := $(addprefix $(obj)/,$(frontends-objs))
diff --git a/scripts/kconfig/check.sh b/scripts/kconfig/check.sh
index 47abde4..4456d63 100755
--- a/scripts/kconfig/check.sh
+++ b/scripts/kconfig/check.sh
@@ -19,6 +19,34 @@ check_gettext()
}
}
+check_gtk()
+{
+ local cflags=""
+ local libs=""
+
+ if pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0; then
+ if ! pkg-config --atleast-version=2.0.0 gtk+-2.0; then
+ echo "*"
+ echo "* GTK+ is present but version >= 2.0.0 is required."
+ echo "*"
+ false
+ fi
+ else
+ echo "*"
+ echo "* Unable to find the GTK+ installation. Please make sure that"
+ echo "* the GTK+ 2.0 development package is correctly installed..."
+ echo "* You need gtk+-2.0, glib-2.0 and libglade-2.0."
+ echo "*"
+ false
+ fi
+
+ cflags="$(pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0)"
+ libs="$(pkg-config --libs gtk+-2.0 gmodule-2.0 libglade-2.0)"
+
+ echo "HOSTCFLAGS_gconf.o += $cflags" >> ${obj}/.tmp_check
+ echo "HOSTLOADLIBES_gconf += $libs" >> ${obj}/.tmp_check
+}
+
check_qt()
{
local cflags=""
@@ -85,6 +113,7 @@ rm -f ${obj}/.tmp_check
for arg in $*; do
case $arg in
gettext) ;;
+ gtk) ;;
qt) ;;
*)
echo " *"
--
1.7.3.4.574.g608b.dirty
next prev parent reply other threads:[~2011-07-02 1:48 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-06-06 19:16 [RFC] Kconfig library check merge Arnaud Lacombe
2011-07-01 14:11 ` Michal Marek
2011-07-02 0:33 ` Arnaud Lacombe
2011-07-02 1:47 ` [RFC 0/7] " Arnaud Lacombe
2011-07-02 1:47 ` [RFC 1/7] kconfig/Makefile: add pretty printer for moc(1) Arnaud Lacombe
2011-07-02 1:47 ` [RFC 2/7] kconfig/Makefile: ensure `conf' appears last in `hostprogs-y' Arnaud Lacombe
2011-07-02 1:47 ` [RFC 3/7] kconfig/check.sh: prepare for generic check Arnaud Lacombe
2011-07-05 22:37 ` Valdis.Kletnieks
2011-07-05 22:48 ` Arnaud Lacombe
2011-07-02 1:47 ` [RFC 4/7] kconfig: move QT checks to `scripts/kconfig/check.sh' Arnaud Lacombe
2011-07-02 1:47 ` Arnaud Lacombe [this message]
2011-07-02 1:47 ` [RFC 6/7] kconfig: move ncurses " Arnaud Lacombe
2011-07-02 1:47 ` [RFC 7/7] kconfig: add stub for nconf checks Arnaud Lacombe
2011-07-18 19:03 ` [RFC 0/7] Kconfig library check merge Arnaud Lacombe
2011-07-19 13:06 ` Michal Marek
2011-08-16 5:29 ` Arnaud Lacombe
2011-08-19 14:02 ` Michal Marek
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1309571259-15241-6-git-send-email-lacombar@gmail.com \
--to=lacombar@gmail.com \
--cc=linux-kbuild@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=mmarek@suse.cz \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®